Public Member Functions
Joint Class Reference

## Detailed Description

The Joint object represents a Kinematic Joint property of a ChainBone or ChainEffector object.

See also:
  ChainElement,ChainBone, ChainRoot

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            Null null1;
            root.AddNull(L"UpVectorReference",null1);

            Null null2;
            root.AddNull(L"PreferredAxisPreference",null2);

            ChainRoot myChainRoot;
            root.Add3DChain(    MATH::CVector3(0,0,0),
                                MATH::CVector3(1,0,0),
                                MATH::CVector3(0,0,1),
                                L"",
                                myChainRoot);

            CRefArray boneRefArray = myChainRoot.GetBones();

            Joint myJoint(ChainBone(boneRefArray.GetItem(0)).GetJoint());

            myJoint.PutParameterValue(L"resplane",(LONG)siUpVectorPlane);

            myJoint.PutUpVectorReference(null1);

            myJoint.PutPreferredAxisReference(null2);

`#include <xsi_joint.h>`

Inheritance diagram for Joint:
[legend]

List of all members.

## Public Member Functions
| Joint ()
| ~Joint ()
| Joint (const CRef &in_ref)
| Joint (const Joint &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
Joint & | operator= (const Joint &in_obj)
Joint & | operator= (const CRef &in_ref)
X3DObject | GetUpVectorReference () const
CStatus | PutUpVectorReference (const X3DObject &in_UpVectorReference) const
X3DObject | GetPreferredAxisReference () const
CStatus | PutPreferredAxisReference (const X3DObject &in_PreferredAxisReference)

## Constructor & Destructor Documentation

Joint | ( |  | ) |

Default constructor.

~Joint | ( |  | ) |

Default destructor.

Joint | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

Joint | ( | const Joint & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Property.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Property.

Joint& operator= | ( | const Joint & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new Joint object.

Joint& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new Joint object.

Reimplemented from Property.

X3DObject GetUpVectorReference | ( |  | ) | const

Returns the X3DObject object acting as the upvector reference.

Returns:
  The X3DObject object acting as the upvector reference.

CStatus PutUpVectorReference | ( | const X3DObject & | in_UpVectorReference | ) | const

Sets the X3DObject object acting as the upvector reference.

Parameters:

  in_UpVectorReference | X3DObject that will act as the upvector reference.

Returns:
  CStatus::OK success
  CStatus::Fail failure

X3DObject GetPreferredAxisReference | ( |  | ) | const

Returns the X3DObject object acting as the preferred axis reference.

Returns:
  The X3DObject object acting as the preferred axis reference.

CStatus PutPreferredAxisReference | ( | const X3DObject & | in_PreferredAxisReference | ) |

Sets the X3DObject object acting as the preferred axis reference.

Parameters:

  in_PreferredAxisReference | X3DObject that will act as the preferred axis reference.

Returns:
  CStatus::OK success
  CStatus::Fail failure

The documentation for this class was generated from the following file:

- xsi_joint.h